Subject: [sipcore] REGISTER, Contact:*

From: Yves Dorfsman <[email-masked]>
Date: Sat, 26 Feb 2011 08:24:24 -0700

Hi,

I'd like a clarification.

RFC3261, section 10.2.2, page 60

    The REGISTER-specific Contact header field value of "*" applies to
    all registrations, but it MUST NOT be used unless the Expires header
    field is present with a value of "0".

       Use of the "*" Contact header field value allows a registering UA
       to remove all bindings associated with an address-of-record
       without knowing their precise values.

Does "all bindings" here means all bindings registered by that particular UA, 
or absolutely all bindings with that AOR?

In section 10.2.4, the rfc says:
    previously established.  A UA SHOULD NOT refresh bindings set up by
    other UAs.

If two UAs register with the same registrar at the same time (I'm not sure why 
one would do that, but there is nothing in the RFC preventing it), if one 
issues a REGISTER, Contact:*, expires:0, should that cancel all bindings from 
both UAs? I've noticed a lot of UAs out there issue a "de-registration" like 
this when you close them.

Thanks.

-- 
Yves.                                                  http://www.SollerS.ca/
                                                        http://blog.zioup.org/

---

From: Adam Roach <[email-masked]>
Date: Sat, 26 Feb 2011 16:46:47 -0600

This really is more a question for the sip-implementors mailing list. 
See https://lists.cs.columbia.edu/cucslists/listinfo/sip-implementors

The short answer to your question is that it removes all binding from 
the AOR, regardless of which UA registered them. The UAs you speak of -- 
the ones that mechanically destroy all AOR bindings when they close -- 
are misbehaving.

Please send any follow-ups to the sip-implementors list.

/a

On 2/26/11 09:24, Feb 26, Yves Dorfsman wrote:
> Does "all bindings" here means all bindings registered by that 
> particular UA, or absolutely all bindings with that AOR?
>
>
> If two UAs register with the same registrar at the same time (I'm not 
> sure why one would do that, but there is nothing in the RFC preventing 
> it), if one issues a REGISTER, Contact:*, expires:0, should that 
> cancel all bindings from both UAs? I've noticed a lot of UAs out there 
> issue a "de-registration" like this when you close them.
>
> Thanks.
>

---

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Mon, 28 Feb 2011 11:26:53 -0500

________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Yves Dorfsman [[email-masked]]

If two UAs register with the same registrar at the same time (I'm not sure why
one would do that, but there is nothing in the RFC preventing it),
_______________________________________________

Have you never seen an extension number that rings on two different phones?

Dale

---

From: Mary Barnes <[email-masked]>
Date: Mon, 28 Feb 2011 16:06:18 -0600

Isn't this exactly what you get with a Shared Line Appearance feature?   It
allows a client to be logged into two different devices. And, AFAIK, it is
supported on the Avaya (Nortel CS1K) systems.

Mary.

On Mon, Feb 28, 2011 at 10:26 AM, Worley, Dale R (Dale)
<[email-masked]>wrote:

> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
>